APIFlight

List flights

Deprecated

GET
/flight/list

Deprecated: This endpoint will be removed in the next major AirTrail release. Migrate to GET /api/v1/flights. List flights visible to the authenticated API key. scope=mine requires flight.read.own. scope=user and scope=all require flight.read.any.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Settings -> Security and create a new API key. Use the generated key as the bearer token.

In: header

Query Parameters

scope?string

Which flights to return. mine is the default. user and all require flight.read.any.

Default"mine"

Value in

  • "mine"
  • "user"
  • "all"
userId?string

The user ID whose flights should be returned when scope=user.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/flight/list"
{  "flights": [    {      "id": 0,      "from": {        "id": 0,        "icao": "string",        "iata": "string",        "name": "string",        "lat": 0.1,        "lon": 0.1,        "type": "large_airport",        "continent": "string",        "country": "string",        "tz": "string"      },      "to": {        "id": 0,        "icao": "string",        "iata": "string",        "name": "string",        "lat": 0.1,        "lon": 0.1,        "type": "large_airport",        "continent": "string",        "country": "string",        "tz": "string"      },      "departure": "string",      "arrival": "string",      "date": "string",      "datePrecision": "day",      "passengers": [        {          "id": 0,          "flightId": 0,          "userId": "string",          "guestName": "string",          "seat": "aisle",          "seatNumber": "string",          "seatClass": "economy",          "flightReason": "leisure"        }      ],      "airline": "string",      "flightNumber": "string",      "aircraft": "string",      "aircraftReg": "string",      "note": "string"    }  ]}